Bug 110184 - [PATCH] math/py-matplotlib: update to 0.90.0
Summary: [PATCH] math/py-matplotlib: update to 0.90.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-11 09:30 UTC by Li-Wen Hsu
Modified: 2007-03-13 10:00 UTC (History)
1 user (show)

See Also:


Attachments
py24-matplotlib-0.90.0.patch (42.63 KB, patch)
2007-03-11 09:30 UTC, Li-Wen Hsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Wen Hsu 2007-03-11 09:30:02 UTC
- Update to 0.90.0
- Fix depends on devel/py-pytz, it has been packed as an egg
- USE_PYTHON=yes, there is no python2.2 in ports tree
- Remove 4.x stuff
- Use USE_TCL, USE_TK, and some variables in bsd.tcl.mk
- Adjust EXAMPLESDIR
- Use static pkg-plist

Added file(s):
- pkg-plist

Removed file(s):
- files/patch-src::mplutils.cpp

Port maintainer (mainland@apeiron.net) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-03-11 09:30:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants to have py- PRs
Comment 2 Edwin Groothuis freebsd_committer 2007-03-11 09:30:36 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Martin Wilke freebsd_committer 2007-03-11 10:13:57 UTC
Responsible Changed
From-To: freebsd-python->miwi

I'll take it.
Comment 4 mainland 2007-03-12 12:50:16 UTC
Looks fine to me.

Geoff
Comment 5 dfilter service freebsd_committer 2007-03-13 09:57:41 UTC
miwi        2007-03-13 09:57:36 UTC

  FreeBSD ports repository

  Modified files:
    math/py-matplotlib   Makefile distinfo 
    math/py-matplotlib/files patch-setupext.py 
  Added files:
    math/py-matplotlib   pkg-plist 
  Removed files:
    math/py-matplotlib/files patch-src::mplutils.cpp 
  Log:
  - Update to 0.90.0
  - Fix depends on devel/py-pytz, it has been packed as an egg
  - USE_PYTHON=yes, there is no python2.2 in ports tree
  - Remove 4.x stuff
  - Use USE_TCL, USE_TK, and some variables in bsd.tcl.mk
  - Adjust EXAMPLESDIR
  - Use static pkg-plist
  
  PR:             110184
  Submitted by:   Li-Wen Hsu <lwhsu@lwhsu.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.16      +17 -25    ports/math/py-matplotlib/Makefile
  1.8       +3 -3      ports/math/py-matplotlib/distinfo
  1.6       +18 -14    ports/math/py-matplotlib/files/patch-setupext.py
  1.2       +0 -7      ports/math/py-matplotlib/files/patch-src::mplutils.cpp (dead)
  1.1       +755 -0    ports/math/py-matplotlib/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2007-03-13 09:58:07 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!